### A free/open-source library for quantitative finance

Protected Member Functions
CapFloorTermVolatilityStructure Class Reference

Cap/floor term-volatility structure. More...

`#include <ql/termstructures/volatility/capfloor/capfloortermvolatilitystructure.hpp>`

Inheritance diagram for CapFloorTermVolatilityStructure:
[legend]

List of all members.

## Public Member Functions

Constructors
See the TermStructure documentation for issues regarding constructors.
| CapFloorTermVolatilityStructure (const Calendar &cal, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| CapFloorTermVolatilityStructure (BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| CapFloorTermVolatilityStructure (const Date &referenceDate, const Calendar &cal, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| CapFloorTermVolatilityStructure (Natural settlementDays, const Calendar &, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
Volatility
Volatility | volatility (const Period &length, Rate strike, bool extrapolate=false) const
| returns the volatility for a given cap/floor length and strike rate
Volatility | volatility (const Date &end, Rate strike, bool extrapolate=false) const
Volatility | volatility (Time t, Rate strike, bool extrapolate=false) const
| returns the volatility for a given end time and strike rate

## Protected Member Functions

virtual Volatility | volatilityImpl (Time length, Rate strike) const =0
| implements the actual volatility calculation in derived classes

## Detailed Description

Cap/floor term-volatility structure.

This class is purely abstract and defines the interface of concrete structures which will be derived from this one.

## Constructor & Destructor Documentation

CapFloorTermVolatilityStructure | ( | const Calendar & | cal,
|  | BusinessDayConvention | bdc,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.

CapFloorTermVolatilityStructure | ( | BusinessDayConvention | bdc,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.